Subject: Re: [Ietf-and-github] Opsdir last call review of draft-ietf-git-using-github-04

From: Qin Wu <[email-masked]>
Date: Tue, 25 Feb 2020 01:19:12 +0000

Martin:

The following second half sentence "this mode and the document management only modes

remain those most compatible with existing work practices for Working

Groups. " is not clear to me, which make me try to figure out what is the subject of this sentence.

Are they "this mode and document management " or " this mode and the document management only modes "

If it is the latter, what is the document management only modes? if it is the former, it seems we should change into

"this mode and the document management only mode those that remain most compatible with existing work practices for Working Groups".

I hope it is the latter.

I think your proposed change below seems more clear than original text.

-Qin

-----邮件原件-----
发件人: Martin Thomson [mailto:[email-masked]]
发送时间: 2020年2月25日 0:15
收件人: Qin Wu <[email-masked]>; [email-masked]
抄送: [email-masked]; [email-masked]; [email-masked]
主题: Re: Opsdir last call review of draft-ietf-git-using-github-04

Thanks for the review Qin,

I struggled a little with your second suggestion.  I ultimately settled on

+Retaining mailing lists as the primary venue for discussion of

+substantive matters ensures that this mode - along with the document

+management mode - is most compatible with existing work practices for Working Groups.

I chose 'future' rather than 'v2'.

On Sun, Feb 23, 2020, at 18:21, Qin Wu via Datatracker wrote:

> Reviewer: Qin Wu

> Review result: Has Nits

> I have reviewed this document as part of the Ops area directorate's

> ongoing effort to review all IETF documents being processed by the

> IESG.  These comments were written primarily for the benefit of the Ops area directors.

> Document editors and WG chairs should treat these comments just like

> any other last call comments.

> Good work, this draft provides working group github usage guidance and

> document best practice that can be referenced by all IETF working

> groups. A few nits that need to be fixed before moving forward: 1.

> Section 5.2,3rd paragraph: The word "err" is a little bit weird to me. s/err more toward/lean more toward 2.

> Section 5.2 5th paragraph: "As mailing lists remain the primary venue

> for discussion of

>    substantive matters, this mode and the document management only modes

>    remain those most compatible with existing work practices for Working

>    Groups."

> I feel the second half sentence is disconnected and not clear. should

> this be changed into "...only modes which remain those most" …?

> 3.Section 5.4.2,last paragraph The label “v2” has some ambiguity,

> since each draft may have already made multiple revisions. The latest

> version may not start with v1. In addition, should the decision label or component label be registered in IANA?